﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Unum.Benefits.UI.Common.Binding;

namespace GridExample
{
    /// <summary>
    /// A parent object.
    /// </summary>
    public class ParentAdapter : BindingAdapter
    {
        private string _value;

        private BindingAdapterCollection<ChildAdapter> _children;

        public ParentAdapter(string value)
        {
            _value = value;
            _children = null;
        }

        public string Value
        {
            get { return _value; }
        }

        public BindingAdapterCollection<ChildAdapter> Children
        {
            get { return _children; }
        }

        public override void Expand()
        {
            base.Expand();

            if (_children != null)
                return;

            _children = new BindingAdapterCollection<ChildAdapter>();
            _children.Add(new ChildAdapter("Child Row a"));
            _children.Add(new ChildAdapter("Child Row b"));
            _children.Add(new ChildAdapter("Child Row c"));
        }
    }
}
